Backup Schedule
This endpoint is deprecated since 2025.05 and will be removed in the future. Please use GET /consoleExportSchedule
default response
GET /rest/backupSchedule HTTP/1.1
Accept: */*
default response
[
{
"createdDate": "2026-01-01T00:00:00.000Z",
"cronExpression": "text",
"description": "text",
"dgcBackupOptions": [
"CONFIGURATION"
],
"environmentId": "123e4567-e89b-12d3-a456-426614174000",
"frequencyWarning": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"maxRetained": 1,
"modifiedDate": "2026-01-01T00:00:00.000Z",
"name": "text",
"nextExecution": "2026-01-01T00:00:00.000Z",
"numberOfBackups": 1,
"repoBackupOptions": [
"DATA"
],
"retentionDays": 7,
"serverTimeZoneOffset": {
"id": "text",
"rules": {
"fixedOffset": true,
"transitionRules": [
{
"dayOfMonthIndicator": 1,
"dayOfWeek": "MONDAY",
"localTime": {
"hour": 1,
"minute": 1,
"nano": 1,
"second": 1
},
"midnightEndOfDay": true,
"month": "JANUARY",
"offsetAfter": {
"id": "text",
"totalSeconds": 1
},
"offsetBefore": {
"id": "text",
"totalSeconds": 1
},
"standardOffset": {
"id": "text",
"totalSeconds": 1
},
"timeDefinition": "UTC"
}
],
"transitions": [
{
"dateTimeAfter": "2026-01-01T00:00:00.000Z",
"dateTimeBefore": "2026-01-01T00:00:00.000Z",
"duration": {
"nano": 1,
"negative": true,
"positive": true,
"seconds": 1,
"units": [
{
"dateBased": true,
"durationEstimated": true,
"timeBased": true
}
],
"zero": true
},
"gap": true,
"instant": "2026-01-01T00:00:00.000Z",
"offsetAfter": {
"id": "text",
"totalSeconds": 1
},
"offsetBefore": {
"id": "text",
"totalSeconds": 1
},
"overlap": true
}
]
},
"totalSeconds": 1
}
}
]This endpoint is deprecated since 2025.05 and will be removed in the future. Please use POST /consoleExportSchedule
successful operation
POST /rest/backupSchedule HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 215
{
"cronExpression": "text",
"description": "text",
"dgcBackupOptions": [
"CONFIGURATION"
],
"environmentId": "123e4567-e89b-12d3-a456-426614174000",
"maxRetained": 1,
"name": "text",
"repoBackupOptions": [
"DATA"
],
"retentionDays": 7
}successful operation
{
"createdDate": "2026-01-01T00:00:00.000Z",
"cronExpression": "text",
"description": "text",
"dgcBackupOptions": [
"CONFIGURATION"
],
"environmentId": "123e4567-e89b-12d3-a456-426614174000",
"frequencyWarning": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"maxRetained": 1,
"modifiedDate": "2026-01-01T00:00:00.000Z",
"name": "text",
"nextExecution": "2026-01-01T00:00:00.000Z",
"numberOfBackups": 1,
"repoBackupOptions": [
"DATA"
],
"retentionDays": 7,
"serverTimeZoneOffset": {
"id": "text",
"rules": {
"fixedOffset": true,
"transitionRules": [
{
"dayOfMonthIndicator": 1,
"dayOfWeek": "MONDAY",
"localTime": {
"hour": 1,
"minute": 1,
"nano": 1,
"second": 1
},
"midnightEndOfDay": true,
"month": "JANUARY",
"offsetAfter": {
"id": "text",
"totalSeconds": 1
},
"offsetBefore": {
"id": "text",
"totalSeconds": 1
},
"standardOffset": {
"id": "text",
"totalSeconds": 1
},
"timeDefinition": "UTC"
}
],
"transitions": [
{
"dateTimeAfter": "2026-01-01T00:00:00.000Z",
"dateTimeBefore": "2026-01-01T00:00:00.000Z",
"duration": {
"nano": 1,
"negative": true,
"positive": true,
"seconds": 1,
"units": [
{
"dateBased": true,
"durationEstimated": true,
"timeBased": true
}
],
"zero": true
},
"gap": true,
"instant": "2026-01-01T00:00:00.000Z",
"offsetAfter": {
"id": "text",
"totalSeconds": 1
},
"offsetBefore": {
"id": "text",
"totalSeconds": 1
},
"overlap": true
}
]
},
"totalSeconds": 1
}
}This endpoint is deprecated since 2025.05 and will be removed in the future. Please use GET /consoleExportSchedule/environment/{environmentId}
The id of the environment
List of backup schedules for the given environment
No backup schedules for the given environment
Environment could not be found
GET /rest/backupSchedule/environment/{environmentId} HTTP/1.1
Accept: */*
[
{
"createdDate": "2026-01-01T00:00:00.000Z",
"cronExpression": "text",
"description": "text",
"dgcBackupOptions": [
"CONFIGURATION"
],
"environmentId": "123e4567-e89b-12d3-a456-426614174000",
"frequencyWarning": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"maxRetained": 1,
"modifiedDate": "2026-01-01T00:00:00.000Z",
"name": "text",
"nextExecution": "2026-01-01T00:00:00.000Z",
"numberOfBackups": 1,
"repoBackupOptions": [
"DATA"
],
"retentionDays": 7,
"serverTimeZoneOffset": {
"id": "text",
"rules": {
"fixedOffset": true,
"transitionRules": [
{
"dayOfMonthIndicator": 1,
"dayOfWeek": "MONDAY",
"localTime": {
"hour": 1,
"minute": 1,
"nano": 1,
"second": 1
},
"midnightEndOfDay": true,
"month": "JANUARY",
"offsetAfter": {
"id": "text",
"totalSeconds": 1
},
"offsetBefore": {
"id": "text",
"totalSeconds": 1
},
"standardOffset": {
"id": "text",
"totalSeconds": 1
},
"timeDefinition": "UTC"
}
],
"transitions": [
{
"dateTimeAfter": "2026-01-01T00:00:00.000Z",
"dateTimeBefore": "2026-01-01T00:00:00.000Z",
"duration": {
"nano": 1,
"negative": true,
"positive": true,
"seconds": 1,
"units": [
{
"dateBased": true,
"durationEstimated": true,
"timeBased": true
}
],
"zero": true
},
"gap": true,
"instant": "2026-01-01T00:00:00.000Z",
"offsetAfter": {
"id": "text",
"totalSeconds": 1
},
"offsetBefore": {
"id": "text",
"totalSeconds": 1
},
"overlap": true
}
]
},
"totalSeconds": 1
}
}
]This endpoint is deprecated since 2025.05 and will be removed in the future. Please use GET /consoleExportSchedule/{id}
The id of the schedule
default response
GET /rest/backupSchedule/{id} HTTP/1.1
Accept: */*
default response
{
"createdDate": "2026-01-01T00:00:00.000Z",
"cronExpression": "text",
"description": "text",
"dgcBackupOptions": [
"CONFIGURATION"
],
"environmentId": "123e4567-e89b-12d3-a456-426614174000",
"frequencyWarning": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"maxRetained": 1,
"modifiedDate": "2026-01-01T00:00:00.000Z",
"name": "text",
"nextExecution": "2026-01-01T00:00:00.000Z",
"numberOfBackups": 1,
"repoBackupOptions": [
"DATA"
],
"retentionDays": 7,
"serverTimeZoneOffset": {
"id": "text",
"rules": {
"fixedOffset": true,
"transitionRules": [
{
"dayOfMonthIndicator": 1,
"dayOfWeek": "MONDAY",
"localTime": {
"hour": 1,
"minute": 1,
"nano": 1,
"second": 1
},
"midnightEndOfDay": true,
"month": "JANUARY",
"offsetAfter": {
"id": "text",
"totalSeconds": 1
},
"offsetBefore": {
"id": "text",
"totalSeconds": 1
},
"standardOffset": {
"id": "text",
"totalSeconds": 1
},
"timeDefinition": "UTC"
}
],
"transitions": [
{
"dateTimeAfter": "2026-01-01T00:00:00.000Z",
"dateTimeBefore": "2026-01-01T00:00:00.000Z",
"duration": {
"nano": 1,
"negative": true,
"positive": true,
"seconds": 1,
"units": [
{
"dateBased": true,
"durationEstimated": true,
"timeBased": true
}
],
"zero": true
},
"gap": true,
"instant": "2026-01-01T00:00:00.000Z",
"offsetAfter": {
"id": "text",
"totalSeconds": 1
},
"offsetBefore": {
"id": "text",
"totalSeconds": 1
},
"overlap": true
}
]
},
"totalSeconds": 1
}
}This endpoint is deprecated since 2025.05 and will be removed in the future. Please use PUT /consoleExportSchedule/{id}
The id of the schedule to update
default response
PUT /rest/backupSchedule/{id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 218
{
"backupScheduleId": "123e4567-e89b-12d3-a456-426614174000",
"cronExpression": "text",
"description": "text",
"dgcBackupOptions": [
"CONFIGURATION"
],
"maxRetained": 1,
"name": "text",
"repoBackupOptions": [
"DATA"
],
"retentionDays": 7
}default response
{
"createdDate": "2026-01-01T00:00:00.000Z",
"cronExpression": "text",
"description": "text",
"dgcBackupOptions": [
"CONFIGURATION"
],
"environmentId": "123e4567-e89b-12d3-a456-426614174000",
"frequencyWarning": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"maxRetained": 1,
"modifiedDate": "2026-01-01T00:00:00.000Z",
"name": "text",
"nextExecution": "2026-01-01T00:00:00.000Z",
"numberOfBackups": 1,
"repoBackupOptions": [
"DATA"
],
"retentionDays": 7,
"serverTimeZoneOffset": {
"id": "text",
"rules": {
"fixedOffset": true,
"transitionRules": [
{
"dayOfMonthIndicator": 1,
"dayOfWeek": "MONDAY",
"localTime": {
"hour": 1,
"minute": 1,
"nano": 1,
"second": 1
},
"midnightEndOfDay": true,
"month": "JANUARY",
"offsetAfter": {
"id": "text",
"totalSeconds": 1
},
"offsetBefore": {
"id": "text",
"totalSeconds": 1
},
"standardOffset": {
"id": "text",
"totalSeconds": 1
},
"timeDefinition": "UTC"
}
],
"transitions": [
{
"dateTimeAfter": "2026-01-01T00:00:00.000Z",
"dateTimeBefore": "2026-01-01T00:00:00.000Z",
"duration": {
"nano": 1,
"negative": true,
"positive": true,
"seconds": 1,
"units": [
{
"dateBased": true,
"durationEstimated": true,
"timeBased": true
}
],
"zero": true
},
"gap": true,
"instant": "2026-01-01T00:00:00.000Z",
"offsetAfter": {
"id": "text",
"totalSeconds": 1
},
"offsetBefore": {
"id": "text",
"totalSeconds": 1
},
"overlap": true
}
]
},
"totalSeconds": 1
}
}This endpoint is deprecated since 2025.05 and will be removed in the future. Please use DELETE /consoleExportSchedule/{id}
The id of the schedule to delete
successful operation
No content
DELETE /rest/backupSchedule/{id} HTTP/1.1
Accept: */*
successful operation
No content
This endpoint is deprecated since 2025.05 and will be removed in the future. Please use GET /consoleExportSchedule/{id}/consoleExports
The id of the schedule
default response
GET /rest/backupSchedule/{id}/backups HTTP/1.1
Accept: */*
default response
[
{
"backupInformation": {
"appVersion": "text",
"backupSpecificationId": "123e4567-e89b-12d3-a456-426614174000",
"createdByEmail": "text",
"date": "2026-01-01T00:00:00.000Z",
"description": "text",
"dgcBackupOptions": [
"CUSTOMIZATIONS",
"CONFIGURATION"
],
"environmentId": "123e4567-e89b-12d3-a456-426614174000",
"expirationDate": "2026-01-01T00:00:00.000Z",
"name": "text",
"repoBackupOptions": [
"DATA",
"HISTORY"
],
"retentionDays": 1
},
"createdDate": "2026-01-01T00:00:00.000Z",
"id": "123e4567-e89b-12d3-a456-426614174000",
"inProgress": true,
"key": "text",
"modifiedDate": "2026-01-01T00:00:00.000Z",
"size": 1,
"stepStateMap": {
"ANY_ADDITIONAL_PROPERTY": {
"errorMessage": "text",
"status": "UNKNOWN"
}
}
}
]Last updated
Was this helpful?